Home Download Buy Blog Forum Support

AAALoadFirstExtensions

AAALoadFirstExtensions

Postby Alvaro on Sat Dec 15, 2012 11:58 am

Hi all,

Anyone has a copy of AAALoadFirstExtensions package? The original repository seems to be locked down:
http://bitbucket.org/sublimator/aaaloadfirstextensions

Im trying to get lxml modules available for my plugin cross-platform.

Thanks,
A
Alvaro
 
Posts: 9
Joined: Wed Dec 05, 2012 10:49 am

Re: AAALoadFirstExtensions

Postby sublimator on Sun Dec 16, 2012 2:36 pm

That contains a mighty old version of lxml which is now at version 3

Just download it from somewhere else?
It is better to remain silent and be thought a fool, than to speak out and remove all doubt
sublimator
 
Posts: 649
Joined: Thu Mar 20, 2008 5:41 am

Re: AAALoadFirstExtensions

Postby Alvaro on Mon Dec 17, 2012 10:10 am

Im including lxml 3.0 libraries in my plugin, the problem is that there are two compiled libraries (in my case I compiled them for Linux 64bits) that make the plugin not cross-platform. Im new to python so I dont know how can I include compiled libraries for Windows and Mac and make sublime to load the appropiate ones.
I was expecting AAALoadFirstExtension to take care of this for me.
Any hint?

Thanks
Alvaro
 
Posts: 9
Joined: Wed Dec 05, 2012 10:49 am

Re: AAALoadFirstExtensions

Postby sublimator on Mon Dec 17, 2012 10:35 am

AAA* won't do that for you

Research sys.path.

See this code here for example of how to add modules to python search path.

You need to take special care on windows when there's unicode in module import path.

A few other functions you might want are sublime.platform() and sublime.arch()
It is better to remain silent and be thought a fool, than to speak out and remove all doubt
sublimator
 
Posts: 649
Joined: Thu Mar 20, 2008 5:41 am

Re: AAALoadFirstExtensions

Postby Alvaro on Tue Dec 18, 2012 8:56 am

Thanks!
Alvaro
 
Posts: 9
Joined: Wed Dec 05, 2012 10:49 am


Return to Plugin Development

Who is online

Users browsing this forum: No registered users and 2 guests